<?xml version="1.0" encoding="UTF-8"?>
<testsuites name="Vinestate_testsuite" time="120" tests="0" failures="1" errors="0">
   <testsuite name="Vinestate_testsuite" tests="0" failures="1" errors="0" time="120" timestamp="2018-06-07 16:35:47" hostname="Vinh - Quyen - DESKTOP-QHUA2DN" id="Test Suites/Vinestate_testsuite">
      <properties>
         <property name="deviceName" value=""/>
         <property name="devicePlatform" value=""/>
         <property name="logFolder" value="D:\\Vinh Working\\KatalonProjects\\Katalon01Project\\Reports\\Vinestate_testsuite\\20180607_163533"/>
         <property name="logFiles" value="D:\\Vinh Working\\KatalonProjects\\Katalon01Project\\Reports\\Vinestate_testsuite\\20180607_163533\\execution0.log"/>
         <property name="attachments" value=""/>
         <property name="hostName" value="Vinh - Quyen - DESKTOP-QHUA2DN"/>
         <property name="os" value="Windows 10 64bit"/>
         <property name="katalonVersion" value="5.4.1.1"/>
         <property name="browser" value="Firefox 60.0"/>
         <property name="hostAddress" value="10.225.77.101"/>
         <property name="sessionId" value="e45b851a-7895-4634-b759-3923093a662a"/>
         <property name="seleniumVersion" value="3.7.1"/>
         <property name="proxyInformation" value="ProxyInformation{proxyOption=NO_PROXY, proxyServerType=HTTP, password=, proxyServerAddress=, proxyServerPort=0}"/>
         <property name="platform" value="Windows 10"/>
      </properties>
      <testcase name="Test Cases/TestCasesList/ManageCoin/TC_MC003_Admin_User_Verify_Add_BTC_Coin_functions_works_correctly when increase coin" classname="Test Cases/TestCasesList/ManageCoin/TC_MC003_Admin_User_Verify_Add_BTC_Coin_functions_works_correctly when increase coin" status="FAILED">
         <failure type="FAILED" message="Success Message: 'The coin has been updated successfully.' does not display. "/>
         <system-out><![CDATA[2018-06-07 16:35:48 - [TEST_CASE][FAILED] - Test Cases/TestCasesList/ManageCoin/TC_MC003_Admin_User_Verify_Add_BTC_Coin_functions_works_correctly when increase coin: Test Cases/TestCasesList/ManageCoin/TC_MC003_Admin_User_Verify_Add_BTC_Coin_functions_works_correctly when increase coin FAILED because (of) Success Message: 'The coin has been updated successfully.' does not display. 

2018-06-07 16:35:49 - [TEST_STEP][PASSED] - Statement - user = new objects.User(): null

2018-06-07 16:35:50 - [TEST_STEP][PASSED] - Statement - username = glb_username: null

2018-06-07 16:35:50 - [TEST_STEP][PASSED] - Statement - user.GetUserInfoFromDB(): CONNECT DB

2018-06-07 16:35:56 - [TEST_STEP][PASSED] - Statement - userid_str = userId: null

2018-06-07 16:35:56 - [TEST_STEP][PASSED] - Statement - username_str = username: null

2018-06-07 16:35:56 - [TEST_STEP][PASSED] - Statement - password_str = glb_password: null

2018-06-07 16:35:56 - [TEST_STEP][PASSED] - Statement - cointype_str = "BTC": null

2018-06-07 16:35:56 - [TEST_STEP][PASSED] - Statement - amount_str = "0.00000005": null

2018-06-07 16:35:56 - [TEST_STEP][PASSED] - Statement - createdby_str = glb_username: null

2018-06-07 16:35:56 - [TEST_STEP][PASSED] - Statement - success_message_str = "Success
The coin has been added successfully.": null

2018-06-07 16:35:56 - [TEST_STEP][PASSED] - comment: PRE-CONDITION: GET CURRENT WALLETS BALANCE

2018-06-07 16:35:56 - [TEST_STEP][PASSED] - comment: Log into site with CHILD USER

2018-06-07 16:35:56 - [TEST_STEP][PASSED] - callTestCase: Call Test Case 'Test Cases/Method/Navigation/Login' successfully

2018-06-07 16:35:56 - [TEST_CASE][PASSED] - Test Cases/Method/Navigation/Login: Test Cases/Method/Navigation/Login

2018-06-07 16:35:56 - [TEST_STEP][PASSED] - openBrowser: Browser is opened with url: 'http://vinestate.bigin.top/console/login'

2018-06-07 16:36:33 - [MESSAGE][PASSED] - Browser is opened with url: 'http://vinestate.bigin.top/console/login'

2018-06-07 16:36:33 - [TEST_STEP][PASSED] - Statement - loginpage = new pages_elements.LoginPage(): null

2018-06-07 16:36:34 - [TEST_STEP][PASSED] - Statement - loginpage.Username_txt().sendKeys(username_str): null

2018-06-07 16:36:34 - [TEST_STEP][PASSED] - Statement - loginpage.Password_txt().sendKeys(password_str): null

2018-06-07 16:36:34 - [TEST_STEP][PASSED] - Statement - loginpage.SignIn_btn().click(): null

2018-06-07 16:36:44 - [TEST_STEP][PASSED] - delay: Delayed 5 second(s)

2018-06-07 16:36:49 - [MESSAGE][PASSED] - Delayed 5 second(s)

2018-06-07 16:36:49 - [MESSAGE][PASSED] - Call Test Case 'Test Cases/Method/Navigation/Login' successfully

2018-06-07 16:36:49 - [TEST_STEP][PASSED] - Statement - leftmenu = new pages_elements.LeftMenu(): null

2018-06-07 16:36:49 - [TEST_STEP][PASSED] - Statement - Oldbtcbalance = new functions.Convert().ConvertStringToDouble(leftmenu.Bitcoin_ballance_vlue().getText()): null

2018-06-07 16:36:50 - [TEST_STEP][PASSED] - comment: LOG IN WITH ADMIN USER

2018-06-07 16:36:50 - [TEST_STEP][PASSED] - callTestCase: Call Test Case 'Test Cases/Method/Navigation/LoginBack' successfully

2018-06-07 16:36:50 - [TEST_CASE][PASSED] - Test Cases/Method/Navigation/LoginBack: Test Cases/Method/Navigation/LoginBack

2018-06-07 16:36:50 - [TEST_STEP][PASSED] - Statement - usersettingmenu = new pages_elements.Usersetting_menu(): null

2018-06-07 16:36:50 - [TEST_STEP][PASSED] - Statement - loginpage = new pages_elements.LoginPage(): null

2018-06-07 16:36:50 - [TEST_STEP][PASSED] - comment: Logout


2018-06-07 16:36:50 - [TEST_STEP][PASSED] - Statement - usersettingmenu.SettingGear_icon().click(): null

2018-06-07 16:36:51 - [TEST_STEP][PASSED] - delay: Delayed 1 second(s)

2018-06-07 16:36:52 - [MESSAGE][PASSED] - Delayed 1 second(s)

2018-06-07 16:36:52 - [TEST_STEP][PASSED] - Statement - usersettingmenu.LogOut_mnuitem().click(): null

2018-06-07 16:36:53 - [TEST_STEP][PASSED] - delay: Delayed 5 second(s)

2018-06-07 16:36:58 - [MESSAGE][PASSED] - Delayed 5 second(s)

2018-06-07 16:36:58 - [TEST_STEP][PASSED] - comment: Signin back


2018-06-07 16:36:58 - [TEST_STEP][PASSED] - Statement - loginpage.Username_txt().sendKeys(username_str): null

2018-06-07 16:36:58 - [TEST_STEP][PASSED] - Statement - loginpage.Password_txt().sendKeys(password_str): null

2018-06-07 16:36:58 - [TEST_STEP][PASSED] - Statement - loginpage.SignIn_btn().click(): null

2018-06-07 16:36:59 - [TEST_STEP][PASSED] - delay: Delayed 5 second(s)

2018-06-07 16:37:04 - [MESSAGE][PASSED] - Delayed 5 second(s)

2018-06-07 16:37:04 - [MESSAGE][PASSED] - Call Test Case 'Test Cases/Method/Navigation/LoginBack' successfully

2018-06-07 16:37:04 - [TEST_STEP][PASSED] - comment: TRY TO ADD COIN FOR USER

2018-06-07 16:37:04 - [TEST_STEP][PASSED] - callTestCase: Call Test Case 'Test Cases/Method/Navigation/GotoManageCoin' successfully

2018-06-07 16:37:04 - [TEST_CASE][PASSED] - Test Cases/Method/Navigation/GotoManageCoin: Test Cases/Method/Navigation/GotoManageCoin

2018-06-07 16:37:05 - [TEST_STEP][PASSED] - Statement - leftmnu = new pages_elements.LeftMenu(): null

2018-06-07 16:37:05 - [TEST_STEP][PASSED] - Statement - If (glb_SiteName == "Bec"): null

2018-06-07 16:37:05 - [TEST_STEP][PASSED] - Statement - If (leftmnu.AdminPage_mnuitem() == true): null

2018-06-07 16:37:06 - [TEST_STEP][PASSED] - Statement - If (displayed == false): Delayed 1 second(s)

2018-06-07 16:37:06 - [TEST_STEP][PASSED] - Statement - leftmnu.Users_mnu().click(): null

2018-06-07 16:37:06 - [TEST_STEP][PASSED] - delay: Delayed 1 second(s)

2018-06-07 16:37:07 - [MESSAGE][PASSED] - Delayed 1 second(s)

2018-06-07 16:37:07 - [TEST_STEP][PASSED] - Statement - leftmnu.ManageCoin_mnu().click(): null

2018-06-07 16:37:08 - [TEST_STEP][PASSED] - delay: Delayed 5 second(s)

2018-06-07 16:37:13 - [MESSAGE][PASSED] - Delayed 5 second(s)

2018-06-07 16:37:13 - [MESSAGE][PASSED] - Call Test Case 'Test Cases/Method/Navigation/GotoManageCoin' successfully

2018-06-07 16:37:13 - [TEST_STEP][PASSED] - callTestCase: Call Test Case 'Test Cases/Method/ManageCoin/CreateCoin' successfully

2018-06-07 16:37:13 - [TEST_CASE][PASSED] - Test Cases/Method/ManageCoin/CreateCoin: Test Cases/Method/ManageCoin/CreateCoin

2018-06-07 16:37:13 - [TEST_STEP][PASSED] - Statement - lmnu = new pages_elements.LeftMenu(): null

2018-06-07 16:37:13 - [TEST_STEP][PASSED] - Statement - currentpage = new pages_elements.ManageCoin(): null

2018-06-07 16:37:13 - [TEST_STEP][PASSED] - Statement - If (lmnu.PageTitle().getText() != "Add Coin"): Delayed 2 second(s)

2018-06-07 16:37:13 - [TEST_STEP][PASSED] - Statement - currentpage.AddCoin_btn().click(): null

2018-06-07 16:37:14 - [TEST_STEP][PASSED] - delay: Delayed 2 second(s)

2018-06-07 16:37:16 - [MESSAGE][PASSED] - Delayed 2 second(s)

2018-06-07 16:37:16 - [TEST_STEP][PASSED] - Statement - currentpage.UserID_txt().clear(): null

2018-06-07 16:37:16 - [TEST_STEP][PASSED] - Statement - currentpage.UserID_txt().sendKeys(userid_str): null

2018-06-07 16:37:16 - [TEST_STEP][PASSED] - Statement - currentpage.CoinType_dropdown().selectByVisibleText(cointype_str): null

2018-06-07 16:37:16 - [TEST_STEP][PASSED] - Statement - currentpage.Amount_txt().clear(): null

2018-06-07 16:37:16 - [TEST_STEP][PASSED] - Statement - currentpage.Amount_txt().sendKeys(amount_str): null

2018-06-07 16:37:16 - [TEST_STEP][PASSED] - delay: Delayed 1 second(s)

2018-06-07 16:37:17 - [MESSAGE][PASSED] - Delayed 1 second(s)

2018-06-07 16:37:17 - [TEST_STEP][PASSED] - Statement - currentpage.SubmitAdd_btn().click(): null

2018-06-07 16:37:18 - [TEST_STEP][PASSED] - delay: Delayed 3 second(s)

2018-06-07 16:37:21 - [MESSAGE][PASSED] - Delayed 3 second(s)

2018-06-07 16:37:21 - [MESSAGE][PASSED] - Call Test Case 'Test Cases/Method/ManageCoin/CreateCoin' successfully

2018-06-07 16:37:21 - [TEST_STEP][PASSED] - Statement - tempcreatedat_str = CustomKeywords.functions.DateTimeFuncs.GetcurrentDatetime(): functions.DateTimeFuncs.GetcurrentDatetime is PASSED

2018-06-07 16:37:21 - [MESSAGE][PASSED] - functions.DateTimeFuncs.GetcurrentDatetime is PASSED

2018-06-07 16:37:21 - [TEST_STEP][PASSED] - comment: VERIFY MESSAGE SUCCESS IS SHOWN

2018-06-07 16:37:21 - [TEST_STEP][PASSED] - Statement - Expected_str = "The coin has been updated successfully.": null

2018-06-07 16:37:21 - [TEST_STEP][FAILED] - callTestCase: Unable to call Test Case with id 'Test Cases/Method/Check Method/VerifySuccessMessageDisplay' (Root cause: Call Test Case 'Test Cases/Method/Check Method/VerifySuccessMessageDisplay' failed)

2018-06-07 16:37:21 - [TEST_CASE][FAILED] - Test Cases/Method/Check Method/VerifySuccessMessageDisplay: Test Cases/Method/Check Method/VerifySuccessMessageDisplay FAILED because (of) Success Message: 'The coin has been updated successfully.' does not display. 

2018-06-07 16:37:21 - [TEST_STEP][PASSED] - Statement - element_xpath = "//*[text()='" + Expected_msg + "']": null

2018-06-07 16:37:21 - [TEST_STEP][PASSED] - Statement - Try: null

2018-06-07 16:37:21 - [TEST_STEP][PASSED] - Statement - webDriver = com.kms.katalon.core.webui.driver.DriverFactory.getWebDriver(): null

2018-06-07 16:37:21 - [TEST_STEP][PASSED] - Statement - temp_element = webDriver.findElement(org.openqa.selenium.By.xpath(element_xpath)): null

2018-06-07 16:37:21 - [TEST_STEP][PASSED] - Statement - Catch (org.openqa.selenium.NoSuchElementException e): null

2018-06-07 16:37:21 - [TEST_STEP][PASSED] - Statement - com.kms.katalon.core.util.KeywordUtil.markFailed("Success Message: '" + Expected_msg + "' does not display. "): null

2018-06-07 16:37:21 - [MESSAGE][FAILED] - Unable to call Test Case with id 'Test Cases/Method/Check Method/VerifySuccessMessageDisplay' (Root cause: Call Test Case 'Test Cases/Method/Check Method/VerifySuccessMessageDisplay' failed)

2018-06-07 16:37:21 - [TEST_STEP][PASSED] - comment: Verify ADD COIN IS LOGGED

2018-06-07 16:37:21 - [TEST_STEP][PASSED] - delay: Delayed 3 second(s)

2018-06-07 16:37:24 - [MESSAGE][PASSED] - Delayed 3 second(s)

2018-06-07 16:37:24 - [TEST_STEP][FAILED] - callTestCase: Unable to call Test Case with id 'Test Cases/Method/Check Method/VerifyAddedCoinLogged' (Root cause: Call Test Case 'Test Cases/Method/Check Method/VerifyAddedCoinLogged' failed)

2018-06-07 16:37:24 - [TEST_CASE][FAILED] - Test Cases/Method/Check Method/VerifyAddedCoinLogged: Test Cases/Method/Check Method/VerifyAddedCoinLogged FAILED because (of) The added coin is not found in the log table. ObservedResult: 489196-VINHTEST3-BTC0.00000005-eden-2018/06/07 09:37:22.
489196-VINHTEST3-BTC0.00000005-eden-2018/06/07 09:24:49.
489196-VINHTEST3-BTC0.00000005-eden-2018/06/07 09:17:59.
489196-VINHTEST3-BTC1.00000000-eden-2018/06/07 08:55:40.
489196-VINHTEST3-BTC1.00000000-eden-2018/06/07 08:55:26.
489196-VINHTEST3-BTC1.00000000-eden-2018/06/07 08:36:30.
489196-VINHTEST3-BTC1.00000000-eden-2018/06/07 08:34:57.
489196-VINHTEST3-BTC1.00000000-eden-2018/06/07 08:28:45.
489196-VINHTEST3-BTC1.00000000-eden-2018/06/07 08:28:35.
489196-VINHTEST3-BTC1.00000000-eden-2018/06/07 08:25:26.
489196-VINHTEST3-VEC1.00000000-eden-2018/06/07 08:17:01.
489196-VINHTEST3-BTC1.00000000-eden-2018/06/07 08:16:25.
489196-VINHTEST3-BTC1.00000000-eden-2018/06/07 08:15:51.
489196-VINHTEST3-BTC10.00000000-eden-2018/06/07 08:15:17.
489196-VINHTEST3-BTC1.00000000-eden-2018/06/07 08:09:01.
489196-VINHTEST3-BTC20.00000000-eden-2018/06/07 07:52:26.
489196-VINHTEST3-BTC1.00000000-eden-2018/06/07 07:45:40.
489196-VINHTEST3-BTC20.00000000-eden-2018/06/07 07:30:58.
489196-VINHTEST3-BTC20.00000000-eden-2018/06/07 07:30:41.
489196-VINHTEST3-BTC20.00000000-eden-2018/06/07 07:30:41.
489196-VINHTEST3-ETH20.00000000-eden-2018/06/07 07:27:06.
489196-VINHTEST3-ETH20.00000000-eden-2018/06/07 07:26:27.
489196-VINHTEST3-BTC20.00000000-eden-2018/06/07 07:18:05.
489196-VINHTEST3-BTC20.00000000-eden-2018/06/07 07:17:46.
489196-VINHTEST3-BTC20.00000000-eden-2018/06/07 07:16:45.
ExpectedResult:489196-vinhtest3-BTC0.00000005-vinhtest3-2018/06/07 17:37:21.


2018-06-07 16:37:25 - [TEST_STEP][PASSED] - Statement - currentpage = new pages_elements.ManageCoin(): null

2018-06-07 16:37:25 - [TEST_STEP][PASSED] - Statement - table_records = "": null

2018-06-07 16:37:25 - [TEST_STEP][PASSED] - Statement - status = false: null

2018-06-07 16:37:25 - [TEST_STEP][PASSED] - Statement - message_str = "The added coin is not found in the log table. ": null

2018-06-07 16:37:25 - [TEST_STEP][PASSED] - Statement - expected_string = userid_str + "-" + username_str + "-" + cointype_str + amount_str + "-" + createdBy_str + "-" + createdAt_str + ".
": null

2018-06-07 16:37:25 - [TEST_STEP][PASSED] - Statement - rows_table = currentpage.Log_tbl().findElements(org.openqa.selenium.By.tagName("tr")): null

2018-06-07 16:37:25 - [TEST_STEP][PASSED] - Statement - rows_count = rows_table.size(): null

2018-06-07 16:37:25 - [TEST_STEP][PASSED] - Statement - If (rows_count == 0): null

2018-06-07 16:37:25 - [TEST_STEP][PASSED] - Statement - For ([row = 0, row < rows_count, (row++)]): null

2018-06-07 16:37:25 - [TEST_STEP][PASSED] - Statement - Columns_row = rows_table.get(row).findElements(org.openqa.selenium.By.tagName("td")): null

2018-06-07 16:37:25 - [TEST_STEP][PASSED] - Statement - ObserveduserID_str = Columns_row.get(0).getText(): null

2018-06-07 16:37:25 - [TEST_STEP][PASSED] - Statement - Observedusername_str = Columns_row.get(1).getText(): null

2018-06-07 16:37:25 - [TEST_STEP][PASSED] - Statement - Observedcointype_str = Columns_row.get(2).getText(): null

2018-06-07 16:37:25 - [TEST_STEP][PASSED] - Statement - Observedamount_str = Columns_row.get(3).getText(): null

2018-06-07 16:37:25 - [TEST_STEP][PASSED] - Statement - ObservedcreatedBy_str = Columns_row.get(4).getText(): null

2018-06-07 16:37:25 - [TEST_STEP][PASSED] - Statement - ObservedcreatedAt_str = Columns_row.get(5).getText(): null

2018-06-07 16:37:25 - [TEST_STEP][PASSED] - Statement - table_records += ObserveduserID_str + "-" + Observedusername_str + "-" + Observedcointype_str + Observedamount_str + "-" + ObservedcreatedBy_str + "-" + ObservedcreatedAt_str + ".
": null

2018-06-07 16:37:25 - [TEST_STEP][PASSED] - Statement - datecheck = CustomKeywords.functions.DateTimeFuncs.CompareDateTime(ObservedcreatedAt_str, createdAt_str): functions.DateTimeFuncs.CompareDateTime is PASSED

2018-06-07 16:37:25 - [MESSAGE][PASSED] - functions.DateTimeFuncs.CompareDateTime is PASSED

2018-06-07 16:37:25 - [TEST_STEP][PASSED] - Statement - If (ObserveduserID_str == userid_str & Observedusername_str == username_str & Observedcointype_str == cointype_str & Observedamount_str == amount_str & ObservedcreatedBy_str == createdBy_str & datecheck == true): null

2018-06-07 16:37:25 - [TEST_STEP][PASSED] - Statement - Columns_row = rows_table.get(row).findElements(org.openqa.selenium.By.tagName("td")): null

2018-06-07 16:37:25 - [TEST_STEP][PASSED] - Statement - ObserveduserID_str = Columns_row.get(0).getText(): null

2018-06-07 16:37:25 - [TEST_STEP][PASSED] - Statement - Observedusername_str = Columns_row.get(1).getText(): null

2018-06-07 16:37:25 - [TEST_STEP][PASSED] - Statement - Observedcointype_str = Columns_row.get(2).getText(): null

2018-06-07 16:37:25 - [TEST_STEP][PASSED] - Statement - Observedamount_str = Columns_row.get(3).getText(): null

2018-06-07 16:37:25 - [TEST_STEP][PASSED] - Statement - ObservedcreatedBy_str = Columns_row.get(4).getText(): null

2018-06-07 16:37:25 - [TEST_STEP][PASSED] - Statement - ObservedcreatedAt_str = Columns_row.get(5).getText(): null

2018-06-07 16:37:25 - [TEST_STEP][PASSED] - Statement - table_records += ObserveduserID_str + "-" + Observedusername_str + "-" + Observedcointype_str + Observedamount_str + "-" + ObservedcreatedBy_str + "-" + ObservedcreatedAt_str + ".
": null

2018-06-07 16:37:25 - [TEST_STEP][PASSED] - Statement - datecheck = CustomKeywords.functions.DateTimeFuncs.CompareDateTime(ObservedcreatedAt_str, createdAt_str): functions.DateTimeFuncs.CompareDateTime is PASSED

2018-06-07 16:37:25 - [MESSAGE][PASSED] - functions.DateTimeFuncs.CompareDateTime is PASSED

2018-06-07 16:37:25 - [TEST_STEP][PASSED] - Statement - If (ObserveduserID_str == userid_str & Observedusername_str == username_str & Observedcointype_str == cointype_str & Observedamount_str == amount_str & ObservedcreatedBy_str == createdBy_str & datecheck == true): null

2018-06-07 16:37:25 - [TEST_STEP][PASSED] - Statement - Columns_row = rows_table.get(row).findElements(org.openqa.selenium.By.tagName("td")): null

2018-06-07 16:37:25 - [TEST_STEP][PASSED] - Statement - ObserveduserID_str = Columns_row.get(0).getText(): null

2018-06-07 16:37:25 - [TEST_STEP][PASSED] - Statement - Observedusername_str = Columns_row.get(1).getText(): null

2018-06-07 16:37:25 - [TEST_STEP][PASSED] - Statement - Observedcointype_str = Columns_row.get(2).getText(): null

2018-06-07 16:37:25 - [TEST_STEP][PASSED] - Statement - Observedamount_str = Columns_row.get(3).getText(): null

2018-06-07 16:37:25 - [TEST_STEP][PASSED] - Statement - ObservedcreatedBy_str = Columns_row.get(4).getText(): null

2018-06-07 16:37:25 - [TEST_STEP][PASSED] - Statement - ObservedcreatedAt_str = Columns_row.get(5).getText(): null

2018-06-07 16:37:25 - [TEST_STEP][PASSED] - Statement - table_records += ObserveduserID_str + "-" + Observedusername_str + "-" + Observedcointype_str + Observedamount_str + "-" + ObservedcreatedBy_str + "-" + ObservedcreatedAt_str + ".
": null

2018-06-07 16:37:25 - [TEST_STEP][PASSED] - Statement - datecheck = CustomKeywords.functions.DateTimeFuncs.CompareDateTime(ObservedcreatedAt_str, createdAt_str): functions.DateTimeFuncs.CompareDateTime is PASSED

2018-06-07 16:37:25 - [MESSAGE][PASSED] - functions.DateTimeFuncs.CompareDateTime is PASSED

2018-06-07 16:37:25 - [TEST_STEP][PASSED] - Statement - If (ObserveduserID_str == userid_str & Observedusername_str == username_str & Observedcointype_str == cointype_str & Observedamount_str == amount_str & ObservedcreatedBy_str == createdBy_str & datecheck == true): null

2018-06-07 16:37:25 - [TEST_STEP][PASSED] - Statement - Columns_row = rows_table.get(row).findElements(org.openqa.selenium.By.tagName("td")): null

2018-06-07 16:37:25 - [TEST_STEP][PASSED] - Statement - ObserveduserID_str = Columns_row.get(0).getText(): null

2018-06-07 16:37:25 - [TEST_STEP][PASSED] - Statement - Observedusername_str = Columns_row.get(1).getText(): null

2018-06-07 16:37:25 - [TEST_STEP][PASSED] - Statement - Observedcointype_str = Columns_row.get(2).getText(): null

2018-06-07 16:37:25 - [TEST_STEP][PASSED] - Statement - Observedamount_str = Columns_row.get(3).getText(): null

2018-06-07 16:37:25 - [TEST_STEP][PASSED] - Statement - ObservedcreatedBy_str = Columns_row.get(4).getText(): null

2018-06-07 16:37:25 - [TEST_STEP][PASSED] - Statement - ObservedcreatedAt_str = Columns_row.get(5).getText(): null

2018-06-07 16:37:25 - [TEST_STEP][PASSED] - Statement - table_records += ObserveduserID_str + "-" + Observedusername_str + "-" + Observedcointype_str + Observedamount_str + "-" + ObservedcreatedBy_str + "-" + ObservedcreatedAt_str + ".
": null

2018-06-07 16:37:25 - [TEST_STEP][PASSED] - Statement - datecheck = CustomKeywords.functions.DateTimeFuncs.CompareDateTime(ObservedcreatedAt_str, createdAt_str): functions.DateTimeFuncs.CompareDateTime is PASSED

2018-06-07 16:37:25 - [MESSAGE][PASSED] - functions.DateTimeFuncs.CompareDateTime is PASSED

2018-06-07 16:37:25 - [TEST_STEP][PASSED] - Statement - If (ObserveduserID_str == userid_str & Observedusername_str == username_str & Observedcointype_str == cointype_str & Observedamount_str == amount_str & ObservedcreatedBy_str == createdBy_str & datecheck == true): null

2018-06-07 16:37:25 - [TEST_STEP][PASSED] - Statement - Columns_row = rows_table.get(row).findElements(org.openqa.selenium.By.tagName("td")): null

2018-06-07 16:37:25 - [TEST_STEP][PASSED] - Statement - ObserveduserID_str = Columns_row.get(0).getText(): null

2018-06-07 16:37:25 - [TEST_STEP][PASSED] - Statement - Observedusername_str = Columns_row.get(1).getText(): null

2018-06-07 16:37:25 - [TEST_STEP][PASSED] - Statement - Observedcointype_str = Columns_row.get(2).getText(): null

2018-06-07 16:37:25 - [TEST_STEP][PASSED] - Statement - Observedamount_str = Columns_row.get(3).getText(): null

2018-06-07 16:37:25 - [TEST_STEP][PASSED] - Statement - ObservedcreatedBy_str = Columns_row.get(4).getText(): null

2018-06-07 16:37:25 - [TEST_STEP][PASSED] - Statement - ObservedcreatedAt_str = Columns_row.get(5).getText(): null

2018-06-07 16:37:25 - [TEST_STEP][PASSED] - Statement - table_records += ObserveduserID_str + "-" + Observedusername_str + "-" + Observedcointype_str + Observedamount_str + "-" + ObservedcreatedBy_str + "-" + ObservedcreatedAt_str + ".
": null

2018-06-07 16:37:25 - [TEST_STEP][PASSED] - Statement - datecheck = CustomKeywords.functions.DateTimeFuncs.CompareDateTime(ObservedcreatedAt_str, createdAt_str): functions.DateTimeFuncs.CompareDateTime is PASSED

2018-06-07 16:37:25 - [MESSAGE][PASSED] - functions.DateTimeFuncs.CompareDateTime is PASSED

2018-06-07 16:37:25 - [TEST_STEP][PASSED] - Statement - If (ObserveduserID_str == userid_str & Observedusername_str == username_str & Observedcointype_str == cointype_str & Observedamount_str == amount_str & ObservedcreatedBy_str == createdBy_str & datecheck == true): null

2018-06-07 16:37:25 - [TEST_STEP][PASSED] - Statement - Columns_row = rows_table.get(row).findElements(org.openqa.selenium.By.tagName("td")): null

2018-06-07 16:37:25 - [TEST_STEP][PASSED] - Statement - ObserveduserID_str = Columns_row.get(0).getText(): null

2018-06-07 16:37:25 - [TEST_STEP][PASSED] - Statement - Observedusername_str = Columns_row.get(1).getText(): null

2018-06-07 16:37:25 - [TEST_STEP][PASSED] - Statement - Observedcointype_str = Columns_row.get(2).getText(): null

2018-06-07 16:37:25 - [TEST_STEP][PASSED] - Statement - Observedamount_str = Columns_row.get(3).getText(): null

2018-06-07 16:37:25 - [TEST_STEP][PASSED] - Statement - ObservedcreatedBy_str = Columns_row.get(4).getText(): null

2018-06-07 16:37:25 - [TEST_STEP][PASSED] - Statement - ObservedcreatedAt_str = Columns_row.get(5).getText(): null

2018-06-07 16:37:25 - [TEST_STEP][PASSED] - Statement - table_records += ObserveduserID_str + "-" + Observedusername_str + "-" + Observedcointype_str + Observedamount_str + "-" + ObservedcreatedBy_str + "-" + ObservedcreatedAt_str + ".
": null

2018-06-07 16:37:25 - [TEST_STEP][PASSED] - Statement - datecheck = CustomKeywords.functions.DateTimeFuncs.CompareDateTime(ObservedcreatedAt_str, createdAt_str): functions.DateTimeFuncs.CompareDateTime is PASSED

2018-06-07 16:37:25 - [MESSAGE][PASSED] - functions.DateTimeFuncs.CompareDateTime is PASSED

2018-06-07 16:37:25 - [TEST_STEP][PASSED] - Statement - If (ObserveduserID_str == userid_str & Observedusername_str == username_str & Observedcointype_str == cointype_str & Observedamount_str == amount_str & ObservedcreatedBy_str == createdBy_str & datecheck == true): null

2018-06-07 16:37:25 - [TEST_STEP][PASSED] - Statement - Columns_row = rows_table.get(row).findElements(org.openqa.selenium.By.tagName("td")): null

2018-06-07 16:37:25 - [TEST_STEP][PASSED] - Statement - ObserveduserID_str = Columns_row.get(0).getText(): null

2018-06-07 16:37:25 - [TEST_STEP][PASSED] - Statement - Observedusername_str = Columns_row.get(1).getText(): null

2018-06-07 16:37:25 - [TEST_STEP][PASSED] - Statement - Observedcointype_str = Columns_row.get(2).getText(): null

2018-06-07 16:37:25 - [TEST_STEP][PASSED] - Statement - Observedamount_str = Columns_row.get(3).getText(): null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - ObservedcreatedBy_str = Columns_row.get(4).getText(): null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - ObservedcreatedAt_str = Columns_row.get(5).getText(): null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - table_records += ObserveduserID_str + "-" + Observedusername_str + "-" + Observedcointype_str + Observedamount_str + "-" + ObservedcreatedBy_str + "-" + ObservedcreatedAt_str + ".
": null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - datecheck = CustomKeywords.functions.DateTimeFuncs.CompareDateTime(ObservedcreatedAt_str, createdAt_str): functions.DateTimeFuncs.CompareDateTime is PASSED

2018-06-07 16:37:26 - [MESSAGE][PASSED] - functions.DateTimeFuncs.CompareDateTime is PASSED

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - If (ObserveduserID_str == userid_str & Observedusername_str == username_str & Observedcointype_str == cointype_str & Observedamount_str == amount_str & ObservedcreatedBy_str == createdBy_str & datecheck == true): null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - Columns_row = rows_table.get(row).findElements(org.openqa.selenium.By.tagName("td")): null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - ObserveduserID_str = Columns_row.get(0).getText(): null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - Observedusername_str = Columns_row.get(1).getText(): null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - Observedcointype_str = Columns_row.get(2).getText(): null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - Observedamount_str = Columns_row.get(3).getText(): null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - ObservedcreatedBy_str = Columns_row.get(4).getText(): null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - ObservedcreatedAt_str = Columns_row.get(5).getText(): null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - table_records += ObserveduserID_str + "-" + Observedusername_str + "-" + Observedcointype_str + Observedamount_str + "-" + ObservedcreatedBy_str + "-" + ObservedcreatedAt_str + ".
": null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - datecheck = CustomKeywords.functions.DateTimeFuncs.CompareDateTime(ObservedcreatedAt_str, createdAt_str): functions.DateTimeFuncs.CompareDateTime is PASSED

2018-06-07 16:37:26 - [MESSAGE][PASSED] - functions.DateTimeFuncs.CompareDateTime is PASSED

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - If (ObserveduserID_str == userid_str & Observedusername_str == username_str & Observedcointype_str == cointype_str & Observedamount_str == amount_str & ObservedcreatedBy_str == createdBy_str & datecheck == true): null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - Columns_row = rows_table.get(row).findElements(org.openqa.selenium.By.tagName("td")): null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - ObserveduserID_str = Columns_row.get(0).getText(): null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - Observedusername_str = Columns_row.get(1).getText(): null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - Observedcointype_str = Columns_row.get(2).getText(): null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - Observedamount_str = Columns_row.get(3).getText(): null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - ObservedcreatedBy_str = Columns_row.get(4).getText(): null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - ObservedcreatedAt_str = Columns_row.get(5).getText(): null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - table_records += ObserveduserID_str + "-" + Observedusername_str + "-" + Observedcointype_str + Observedamount_str + "-" + ObservedcreatedBy_str + "-" + ObservedcreatedAt_str + ".
": null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - datecheck = CustomKeywords.functions.DateTimeFuncs.CompareDateTime(ObservedcreatedAt_str, createdAt_str): functions.DateTimeFuncs.CompareDateTime is PASSED

2018-06-07 16:37:26 - [MESSAGE][PASSED] - functions.DateTimeFuncs.CompareDateTime is PASSED

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - If (ObserveduserID_str == userid_str & Observedusername_str == username_str & Observedcointype_str == cointype_str & Observedamount_str == amount_str & ObservedcreatedBy_str == createdBy_str & datecheck == true): null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - Columns_row = rows_table.get(row).findElements(org.openqa.selenium.By.tagName("td")): null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - ObserveduserID_str = Columns_row.get(0).getText(): null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - Observedusername_str = Columns_row.get(1).getText(): null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - Observedcointype_str = Columns_row.get(2).getText(): null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - Observedamount_str = Columns_row.get(3).getText(): null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - ObservedcreatedBy_str = Columns_row.get(4).getText(): null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - ObservedcreatedAt_str = Columns_row.get(5).getText(): null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - table_records += ObserveduserID_str + "-" + Observedusername_str + "-" + Observedcointype_str + Observedamount_str + "-" + ObservedcreatedBy_str + "-" + ObservedcreatedAt_str + ".
": null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - datecheck = CustomKeywords.functions.DateTimeFuncs.CompareDateTime(ObservedcreatedAt_str, createdAt_str): functions.DateTimeFuncs.CompareDateTime is PASSED

2018-06-07 16:37:26 - [MESSAGE][PASSED] - functions.DateTimeFuncs.CompareDateTime is PASSED

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - If (ObserveduserID_str == userid_str & Observedusername_str == username_str & Observedcointype_str == cointype_str & Observedamount_str == amount_str & ObservedcreatedBy_str == createdBy_str & datecheck == true): null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - Columns_row = rows_table.get(row).findElements(org.openqa.selenium.By.tagName("td")): null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - ObserveduserID_str = Columns_row.get(0).getText(): null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - Observedusername_str = Columns_row.get(1).getText(): null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - Observedcointype_str = Columns_row.get(2).getText(): null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - Observedamount_str = Columns_row.get(3).getText(): null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - ObservedcreatedBy_str = Columns_row.get(4).getText(): null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - ObservedcreatedAt_str = Columns_row.get(5).getText(): null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - table_records += ObserveduserID_str + "-" + Observedusername_str + "-" + Observedcointype_str + Observedamount_str + "-" + ObservedcreatedBy_str + "-" + ObservedcreatedAt_str + ".
": null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - datecheck = CustomKeywords.functions.DateTimeFuncs.CompareDateTime(ObservedcreatedAt_str, createdAt_str): functions.DateTimeFuncs.CompareDateTime is PASSED

2018-06-07 16:37:26 - [MESSAGE][PASSED] - functions.DateTimeFuncs.CompareDateTime is PASSED

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - If (ObserveduserID_str == userid_str & Observedusername_str == username_str & Observedcointype_str == cointype_str & Observedamount_str == amount_str & ObservedcreatedBy_str == createdBy_str & datecheck == true): null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - Columns_row = rows_table.get(row).findElements(org.openqa.selenium.By.tagName("td")): null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - ObserveduserID_str = Columns_row.get(0).getText(): null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - Observedusername_str = Columns_row.get(1).getText(): null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - Observedcointype_str = Columns_row.get(2).getText(): null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - Observedamount_str = Columns_row.get(3).getText(): null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - ObservedcreatedBy_str = Columns_row.get(4).getText(): null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - ObservedcreatedAt_str = Columns_row.get(5).getText(): null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - table_records += ObserveduserID_str + "-" + Observedusername_str + "-" + Observedcointype_str + Observedamount_str + "-" + ObservedcreatedBy_str + "-" + ObservedcreatedAt_str + ".
": null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - datecheck = CustomKeywords.functions.DateTimeFuncs.CompareDateTime(ObservedcreatedAt_str, createdAt_str): functions.DateTimeFuncs.CompareDateTime is PASSED

2018-06-07 16:37:26 - [MESSAGE][PASSED] - functions.DateTimeFuncs.CompareDateTime is PASSED

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - If (ObserveduserID_str == userid_str & Observedusername_str == username_str & Observedcointype_str == cointype_str & Observedamount_str == amount_str & ObservedcreatedBy_str == createdBy_str & datecheck == true): null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - Columns_row = rows_table.get(row).findElements(org.openqa.selenium.By.tagName("td")): null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - ObserveduserID_str = Columns_row.get(0).getText(): null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - Observedusername_str = Columns_row.get(1).getText(): null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - Observedcointype_str = Columns_row.get(2).getText(): null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - Observedamount_str = Columns_row.get(3).getText(): null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - ObservedcreatedBy_str = Columns_row.get(4).getText(): null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - ObservedcreatedAt_str = Columns_row.get(5).getText(): null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - table_records += ObserveduserID_str + "-" + Observedusername_str + "-" + Observedcointype_str + Observedamount_str + "-" + ObservedcreatedBy_str + "-" + ObservedcreatedAt_str + ".
": null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - datecheck = CustomKeywords.functions.DateTimeFuncs.CompareDateTime(ObservedcreatedAt_str, createdAt_str): functions.DateTimeFuncs.CompareDateTime is PASSED

2018-06-07 16:37:26 - [MESSAGE][PASSED] - functions.DateTimeFuncs.CompareDateTime is PASSED

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - If (ObserveduserID_str == userid_str & Observedusername_str == username_str & Observedcointype_str == cointype_str & Observedamount_str == amount_str & ObservedcreatedBy_str == createdBy_str & datecheck == true): null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - Columns_row = rows_table.get(row).findElements(org.openqa.selenium.By.tagName("td")): null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - ObserveduserID_str = Columns_row.get(0).getText(): null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - Observedusername_str = Columns_row.get(1).getText(): null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - Observedcointype_str = Columns_row.get(2).getText(): null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - Observedamount_str = Columns_row.get(3).getText(): null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - ObservedcreatedBy_str = Columns_row.get(4).getText(): null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - ObservedcreatedAt_str = Columns_row.get(5).getText(): null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - table_records += ObserveduserID_str + "-" + Observedusername_str + "-" + Observedcointype_str + Observedamount_str + "-" + ObservedcreatedBy_str + "-" + ObservedcreatedAt_str + ".
": null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - datecheck = CustomKeywords.functions.DateTimeFuncs.CompareDateTime(ObservedcreatedAt_str, createdAt_str): functions.DateTimeFuncs.CompareDateTime is PASSED

2018-06-07 16:37:26 - [MESSAGE][PASSED] - functions.DateTimeFuncs.CompareDateTime is PASSED

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - If (ObserveduserID_str == userid_str & Observedusername_str == username_str & Observedcointype_str == cointype_str & Observedamount_str == amount_str & ObservedcreatedBy_str == createdBy_str & datecheck == true): null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - Columns_row = rows_table.get(row).findElements(org.openqa.selenium.By.tagName("td")): null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - ObserveduserID_str = Columns_row.get(0).getText(): null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - Observedusername_str = Columns_row.get(1).getText(): null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - Observedcointype_str = Columns_row.get(2).getText(): null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - Observedamount_str = Columns_row.get(3).getText(): null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - ObservedcreatedBy_str = Columns_row.get(4).getText(): null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - ObservedcreatedAt_str = Columns_row.get(5).getText(): null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - table_records += ObserveduserID_str + "-" + Observedusername_str + "-" + Observedcointype_str + Observedamount_str + "-" + ObservedcreatedBy_str + "-" + ObservedcreatedAt_str + ".
": null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - datecheck = CustomKeywords.functions.DateTimeFuncs.CompareDateTime(ObservedcreatedAt_str, createdAt_str): functions.DateTimeFuncs.CompareDateTime is PASSED

2018-06-07 16:37:26 - [MESSAGE][PASSED] - functions.DateTimeFuncs.CompareDateTime is PASSED

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - If (ObserveduserID_str == userid_str & Observedusername_str == username_str & Observedcointype_str == cointype_str & Observedamount_str == amount_str & ObservedcreatedBy_str == createdBy_str & datecheck == true): null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - Columns_row = rows_table.get(row).findElements(org.openqa.selenium.By.tagName("td")): null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - ObserveduserID_str = Columns_row.get(0).getText(): null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - Observedusername_str = Columns_row.get(1).getText(): null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - Observedcointype_str = Columns_row.get(2).getText(): null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - Observedamount_str = Columns_row.get(3).getText(): null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - ObservedcreatedBy_str = Columns_row.get(4).getText(): null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - ObservedcreatedAt_str = Columns_row.get(5).getText(): null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - table_records += ObserveduserID_str + "-" + Observedusername_str + "-" + Observedcointype_str + Observedamount_str + "-" + ObservedcreatedBy_str + "-" + ObservedcreatedAt_str + ".
": null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - datecheck = CustomKeywords.functions.DateTimeFuncs.CompareDateTime(ObservedcreatedAt_str, createdAt_str): functions.DateTimeFuncs.CompareDateTime is PASSED

2018-06-07 16:37:26 - [MESSAGE][PASSED] - functions.DateTimeFuncs.CompareDateTime is PASSED

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - If (ObserveduserID_str == userid_str & Observedusername_str == username_str & Observedcointype_str == cointype_str & Observedamount_str == amount_str & ObservedcreatedBy_str == createdBy_str & datecheck == true): null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - Columns_row = rows_table.get(row).findElements(org.openqa.selenium.By.tagName("td")): null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - ObserveduserID_str = Columns_row.get(0).getText(): null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - Observedusername_str = Columns_row.get(1).getText(): null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - Observedcointype_str = Columns_row.get(2).getText(): null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - Observedamount_str = Columns_row.get(3).getText(): null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - ObservedcreatedBy_str = Columns_row.get(4).getText(): null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - ObservedcreatedAt_str = Columns_row.get(5).getText(): null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - table_records += ObserveduserID_str + "-" + Observedusername_str + "-" + Observedcointype_str + Observedamount_str + "-" + ObservedcreatedBy_str + "-" + ObservedcreatedAt_str + ".
": null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - datecheck = CustomKeywords.functions.DateTimeFuncs.CompareDateTime(ObservedcreatedAt_str, createdAt_str): functions.DateTimeFuncs.CompareDateTime is PASSED

2018-06-07 16:37:26 - [MESSAGE][PASSED] - functions.DateTimeFuncs.CompareDateTime is PASSED

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - If (ObserveduserID_str == userid_str & Observedusername_str == username_str & Observedcointype_str == cointype_str & Observedamount_str == amount_str & ObservedcreatedBy_str == createdBy_str & datecheck == true): null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - Columns_row = rows_table.get(row).findElements(org.openqa.selenium.By.tagName("td")): null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - ObserveduserID_str = Columns_row.get(0).getText(): null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - Observedusername_str = Columns_row.get(1).getText(): null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - Observedcointype_str = Columns_row.get(2).getText(): null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - Observedamount_str = Columns_row.get(3).getText(): null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - ObservedcreatedBy_str = Columns_row.get(4).getText(): null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - ObservedcreatedAt_str = Columns_row.get(5).getText(): null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - table_records += ObserveduserID_str + "-" + Observedusername_str + "-" + Observedcointype_str + Observedamount_str + "-" + ObservedcreatedBy_str + "-" + ObservedcreatedAt_str + ".
": null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - datecheck = CustomKeywords.functions.DateTimeFuncs.CompareDateTime(ObservedcreatedAt_str, createdAt_str): functions.DateTimeFuncs.CompareDateTime is PASSED

2018-06-07 16:37:26 - [MESSAGE][PASSED] - functions.DateTimeFuncs.CompareDateTime is PASSED

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - If (ObserveduserID_str == userid_str & Observedusername_str == username_str & Observedcointype_str == cointype_str & Observedamount_str == amount_str & ObservedcreatedBy_str == createdBy_str & datecheck == true): null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - Columns_row = rows_table.get(row).findElements(org.openqa.selenium.By.tagName("td")): null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - ObserveduserID_str = Columns_row.get(0).getText(): null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - Observedusername_str = Columns_row.get(1).getText(): null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - Observedcointype_str = Columns_row.get(2).getText(): null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - Observedamount_str = Columns_row.get(3).getText(): null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - ObservedcreatedBy_str = Columns_row.get(4).getText(): null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - ObservedcreatedAt_str = Columns_row.get(5).getText(): null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - table_records += ObserveduserID_str + "-" + Observedusername_str + "-" + Observedcointype_str + Observedamount_str + "-" + ObservedcreatedBy_str + "-" + ObservedcreatedAt_str + ".
": null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - datecheck = CustomKeywords.functions.DateTimeFuncs.CompareDateTime(ObservedcreatedAt_str, createdAt_str): functions.DateTimeFuncs.CompareDateTime is PASSED

2018-06-07 16:37:26 - [MESSAGE][PASSED] - functions.DateTimeFuncs.CompareDateTime is PASSED

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - If (ObserveduserID_str == userid_str & Observedusername_str == username_str & Observedcointype_str == cointype_str & Observedamount_str == amount_str & ObservedcreatedBy_str == createdBy_str & datecheck == true): null

2018-06-07 16:37:26 - [TEST_STEP][PASSED] - Statement - Columns_row = rows_table.get(row).findElements(org.openqa.selenium.By.tagName("td")): null

2018-06-07 16:37:27 - [TEST_STEP][PASSED] - Statement - ObserveduserID_str = Columns_row.get(0).getText(): null

2018-06-07 16:37:27 - [TEST_STEP][PASSED] - Statement - Observedusername_str = Columns_row.get(1).getText(): null

2018-06-07 16:37:27 - [TEST_STEP][PASSED] - Statement - Observedcointype_str = Columns_row.get(2).getText(): null

2018-06-07 16:37:27 - [TEST_STEP][PASSED] - Statement - Observedamount_str = Columns_row.get(3).getText(): null

2018-06-07 16:37:27 - [TEST_STEP][PASSED] - Statement - ObservedcreatedBy_str = Columns_row.get(4).getText(): null

2018-06-07 16:37:27 - [TEST_STEP][PASSED] - Statement - ObservedcreatedAt_str = Columns_row.get(5).getText(): null

2018-06-07 16:37:27 - [TEST_STEP][PASSED] - Statement - table_records += ObserveduserID_str + "-" + Observedusername_str + "-" + Observedcointype_str + Observedamount_str + "-" + ObservedcreatedBy_str + "-" + ObservedcreatedAt_str + ".
": null

2018-06-07 16:37:27 - [TEST_STEP][PASSED] - Statement - datecheck = CustomKeywords.functions.DateTimeFuncs.CompareDateTime(ObservedcreatedAt_str, createdAt_str): functions.DateTimeFuncs.CompareDateTime is PASSED

2018-06-07 16:37:27 - [MESSAGE][PASSED] - functions.DateTimeFuncs.CompareDateTime is PASSED

2018-06-07 16:37:27 - [TEST_STEP][PASSED] - Statement - If (ObserveduserID_str == userid_str & Observedusername_str == username_str & Observedcointype_str == cointype_str & Observedamount_str == amount_str & ObservedcreatedBy_str == createdBy_str & datecheck == true): null

2018-06-07 16:37:27 - [TEST_STEP][PASSED] - Statement - Columns_row = rows_table.get(row).findElements(org.openqa.selenium.By.tagName("td")): null

2018-06-07 16:37:27 - [TEST_STEP][PASSED] - Statement - ObserveduserID_str = Columns_row.get(0).getText(): null

2018-06-07 16:37:27 - [TEST_STEP][PASSED] - Statement - Observedusername_str = Columns_row.get(1).getText(): null

2018-06-07 16:37:27 - [TEST_STEP][PASSED] - Statement - Observedcointype_str = Columns_row.get(2).getText(): null

2018-06-07 16:37:27 - [TEST_STEP][PASSED] - Statement - Observedamount_str = Columns_row.get(3).getText(): null

2018-06-07 16:37:27 - [TEST_STEP][PASSED] - Statement - ObservedcreatedBy_str = Columns_row.get(4).getText(): null

2018-06-07 16:37:27 - [TEST_STEP][PASSED] - Statement - ObservedcreatedAt_str = Columns_row.get(5).getText(): null

2018-06-07 16:37:27 - [TEST_STEP][PASSED] - Statement - table_records += ObserveduserID_str + "-" + Observedusername_str + "-" + Observedcointype_str + Observedamount_str + "-" + ObservedcreatedBy_str + "-" + ObservedcreatedAt_str + ".
": null

2018-06-07 16:37:27 - [TEST_STEP][PASSED] - Statement - datecheck = CustomKeywords.functions.DateTimeFuncs.CompareDateTime(ObservedcreatedAt_str, createdAt_str): functions.DateTimeFuncs.CompareDateTime is PASSED

2018-06-07 16:37:27 - [MESSAGE][PASSED] - functions.DateTimeFuncs.CompareDateTime is PASSED

2018-06-07 16:37:27 - [TEST_STEP][PASSED] - Statement - If (ObserveduserID_str == userid_str & Observedusername_str == username_str & Observedcointype_str == cointype_str & Observedamount_str == amount_str & ObservedcreatedBy_str == createdBy_str & datecheck == true): null

2018-06-07 16:37:27 - [TEST_STEP][PASSED] - Statement - Columns_row = rows_table.get(row).findElements(org.openqa.selenium.By.tagName("td")): null

2018-06-07 16:37:27 - [TEST_STEP][PASSED] - Statement - ObserveduserID_str = Columns_row.get(0).getText(): null

2018-06-07 16:37:27 - [TEST_STEP][PASSED] - Statement - Observedusername_str = Columns_row.get(1).getText(): null

2018-06-07 16:37:27 - [TEST_STEP][PASSED] - Statement - Observedcointype_str = Columns_row.get(2).getText(): null

2018-06-07 16:37:27 - [TEST_STEP][PASSED] - Statement - Observedamount_str = Columns_row.get(3).getText(): null

2018-06-07 16:37:27 - [TEST_STEP][PASSED] - Statement - ObservedcreatedBy_str = Columns_row.get(4).getText(): null

2018-06-07 16:37:27 - [TEST_STEP][PASSED] - Statement - ObservedcreatedAt_str = Columns_row.get(5).getText(): null

2018-06-07 16:37:27 - [TEST_STEP][PASSED] - Statement - table_records += ObserveduserID_str + "-" + Observedusername_str + "-" + Observedcointype_str + Observedamount_str + "-" + ObservedcreatedBy_str + "-" + ObservedcreatedAt_str + ".
": null

2018-06-07 16:37:27 - [TEST_STEP][PASSED] - Statement - datecheck = CustomKeywords.functions.DateTimeFuncs.CompareDateTime(ObservedcreatedAt_str, createdAt_str): functions.DateTimeFuncs.CompareDateTime is PASSED

2018-06-07 16:37:27 - [MESSAGE][PASSED] - functions.DateTimeFuncs.CompareDateTime is PASSED

2018-06-07 16:37:27 - [TEST_STEP][PASSED] - Statement - If (ObserveduserID_str == userid_str & Observedusername_str == username_str & Observedcointype_str == cointype_str & Observedamount_str == amount_str & ObservedcreatedBy_str == createdBy_str & datecheck == true): null

2018-06-07 16:37:27 - [TEST_STEP][PASSED] - Statement - Columns_row = rows_table.get(row).findElements(org.openqa.selenium.By.tagName("td")): null

2018-06-07 16:37:27 - [TEST_STEP][PASSED] - Statement - ObserveduserID_str = Columns_row.get(0).getText(): null

2018-06-07 16:37:27 - [TEST_STEP][PASSED] - Statement - Observedusername_str = Columns_row.get(1).getText(): null

2018-06-07 16:37:27 - [TEST_STEP][PASSED] - Statement - Observedcointype_str = Columns_row.get(2).getText(): null

2018-06-07 16:37:27 - [TEST_STEP][PASSED] - Statement - Observedamount_str = Columns_row.get(3).getText(): null

2018-06-07 16:37:27 - [TEST_STEP][PASSED] - Statement - ObservedcreatedBy_str = Columns_row.get(4).getText(): null

2018-06-07 16:37:27 - [TEST_STEP][PASSED] - Statement - ObservedcreatedAt_str = Columns_row.get(5).getText(): null

2018-06-07 16:37:27 - [TEST_STEP][PASSED] - Statement - table_records += ObserveduserID_str + "-" + Observedusername_str + "-" + Observedcointype_str + Observedamount_str + "-" + ObservedcreatedBy_str + "-" + ObservedcreatedAt_str + ".
": null

2018-06-07 16:37:27 - [TEST_STEP][PASSED] - Statement - datecheck = CustomKeywords.functions.DateTimeFuncs.CompareDateTime(ObservedcreatedAt_str, createdAt_str): functions.DateTimeFuncs.CompareDateTime is PASSED

2018-06-07 16:37:27 - [MESSAGE][PASSED] - functions.DateTimeFuncs.CompareDateTime is PASSED

2018-06-07 16:37:27 - [TEST_STEP][PASSED] - Statement - If (ObserveduserID_str == userid_str & Observedusername_str == username_str & Observedcointype_str == cointype_str & Observedamount_str == amount_str & ObservedcreatedBy_str == createdBy_str & datecheck == true): null

2018-06-07 16:37:27 - [TEST_STEP][PASSED] - Statement - Columns_row = rows_table.get(row).findElements(org.openqa.selenium.By.tagName("td")): null

2018-06-07 16:37:27 - [TEST_STEP][PASSED] - Statement - ObserveduserID_str = Columns_row.get(0).getText(): null

2018-06-07 16:37:27 - [TEST_STEP][PASSED] - Statement - Observedusername_str = Columns_row.get(1).getText(): null

2018-06-07 16:37:27 - [TEST_STEP][PASSED] - Statement - Observedcointype_str = Columns_row.get(2).getText(): null

2018-06-07 16:37:27 - [TEST_STEP][PASSED] - Statement - Observedamount_str = Columns_row.get(3).getText(): null

2018-06-07 16:37:27 - [TEST_STEP][PASSED] - Statement - ObservedcreatedBy_str = Columns_row.get(4).getText(): null

2018-06-07 16:37:27 - [TEST_STEP][PASSED] - Statement - ObservedcreatedAt_str = Columns_row.get(5).getText(): null

2018-06-07 16:37:27 - [TEST_STEP][PASSED] - Statement - table_records += ObserveduserID_str + "-" + Observedusername_str + "-" + Observedcointype_str + Observedamount_str + "-" + ObservedcreatedBy_str + "-" + ObservedcreatedAt_str + ".
": null

2018-06-07 16:37:27 - [TEST_STEP][PASSED] - Statement - datecheck = CustomKeywords.functions.DateTimeFuncs.CompareDateTime(ObservedcreatedAt_str, createdAt_str): functions.DateTimeFuncs.CompareDateTime is PASSED

2018-06-07 16:37:27 - [MESSAGE][PASSED] - functions.DateTimeFuncs.CompareDateTime is PASSED

2018-06-07 16:37:27 - [TEST_STEP][PASSED] - Statement - If (ObserveduserID_str == userid_str & Observedusername_str == username_str & Observedcointype_str == cointype_str & Observedamount_str == amount_str & ObservedcreatedBy_str == createdBy_str & datecheck == true): null

2018-06-07 16:37:27 - [TEST_STEP][PASSED] - Statement - Columns_row = rows_table.get(row).findElements(org.openqa.selenium.By.tagName("td")): null

2018-06-07 16:37:27 - [TEST_STEP][PASSED] - Statement - ObserveduserID_str = Columns_row.get(0).getText(): null

2018-06-07 16:37:27 - [TEST_STEP][PASSED] - Statement - Observedusername_str = Columns_row.get(1).getText(): null

2018-06-07 16:37:27 - [TEST_STEP][PASSED] - Statement - Observedcointype_str = Columns_row.get(2).getText(): null

2018-06-07 16:37:27 - [TEST_STEP][PASSED] - Statement - Observedamount_str = Columns_row.get(3).getText(): null

2018-06-07 16:37:27 - [TEST_STEP][PASSED] - Statement - ObservedcreatedBy_str = Columns_row.get(4).getText(): null

2018-06-07 16:37:27 - [TEST_STEP][PASSED] - Statement - ObservedcreatedAt_str = Columns_row.get(5).getText(): null

2018-06-07 16:37:27 - [TEST_STEP][PASSED] - Statement - table_records += ObserveduserID_str + "-" + Observedusername_str + "-" + Observedcointype_str + Observedamount_str + "-" + ObservedcreatedBy_str + "-" + ObservedcreatedAt_str + ".
": null

2018-06-07 16:37:27 - [TEST_STEP][PASSED] - Statement - datecheck = CustomKeywords.functions.DateTimeFuncs.CompareDateTime(ObservedcreatedAt_str, createdAt_str): functions.DateTimeFuncs.CompareDateTime is PASSED

2018-06-07 16:37:27 - [MESSAGE][PASSED] - functions.DateTimeFuncs.CompareDateTime is PASSED

2018-06-07 16:37:27 - [TEST_STEP][PASSED] - Statement - If (ObserveduserID_str == userid_str & Observedusername_str == username_str & Observedcointype_str == cointype_str & Observedamount_str == amount_str & ObservedcreatedBy_str == createdBy_str & datecheck == true): null

2018-06-07 16:37:27 - [TEST_STEP][PASSED] - Statement - If (status == false): null

2018-06-07 16:37:27 - [TEST_STEP][PASSED] - Statement - message_str += "ObservedResult: " + table_records + "ExpectedResult:" + expected_string: null

2018-06-07 16:37:27 - [TEST_STEP][PASSED] - Statement - com.kms.katalon.core.util.KeywordUtil.markFailed(message_str): null

2018-06-07 16:37:27 - [MESSAGE][FAILED] - Unable to call Test Case with id 'Test Cases/Method/Check Method/VerifyAddedCoinLogged' (Root cause: Call Test Case 'Test Cases/Method/Check Method/VerifyAddedCoinLogged' failed)

2018-06-07 16:37:27 - [TEST_STEP][PASSED] - comment: The added coin amount is saved into user wallet

2018-06-07 16:37:27 - [TEST_STEP][PASSED] - Statement - btcwallet = new pages_elements.BitcoinWallet(): null

2018-06-07 16:37:27 - [TEST_STEP][PASSED] - comment: LOG IN BACK WITH USER ADDED COIN

2018-06-07 16:37:27 - [TEST_STEP][PASSED] - callTestCase: Call Test Case 'Test Cases/Method/Navigation/LoginBack' successfully

2018-06-07 16:37:27 - [TEST_CASE][PASSED] - Test Cases/Method/Navigation/LoginBack: Test Cases/Method/Navigation/LoginBack

2018-06-07 16:37:27 - [TEST_STEP][PASSED] - Statement - usersettingmenu = new pages_elements.Usersetting_menu(): null

2018-06-07 16:37:27 - [TEST_STEP][PASSED] - Statement - loginpage = new pages_elements.LoginPage(): null

2018-06-07 16:37:27 - [TEST_STEP][PASSED] - comment: Logout


2018-06-07 16:37:27 - [TEST_STEP][PASSED] - Statement - usersettingmenu.SettingGear_icon().click(): null

2018-06-07 16:37:27 - [TEST_STEP][PASSED] - delay: Delayed 1 second(s)

2018-06-07 16:37:28 - [MESSAGE][PASSED] - Delayed 1 second(s)

2018-06-07 16:37:28 - [TEST_STEP][PASSED] - Statement - usersettingmenu.LogOut_mnuitem().click(): null

2018-06-07 16:37:29 - [TEST_STEP][PASSED] - delay: Delayed 5 second(s)

2018-06-07 16:37:34 - [MESSAGE][PASSED] - Delayed 5 second(s)

2018-06-07 16:37:34 - [TEST_STEP][PASSED] - comment: Signin back


2018-06-07 16:37:34 - [TEST_STEP][PASSED] - Statement - loginpage.Username_txt().sendKeys(username_str): null

2018-06-07 16:37:34 - [TEST_STEP][PASSED] - Statement - loginpage.Password_txt().sendKeys(password_str): null

2018-06-07 16:37:34 - [TEST_STEP][PASSED] - Statement - loginpage.SignIn_btn().click(): null

2018-06-07 16:37:36 - [TEST_STEP][PASSED] - delay: Delayed 5 second(s)

2018-06-07 16:37:41 - [MESSAGE][PASSED] - Delayed 5 second(s)

2018-06-07 16:37:41 - [MESSAGE][PASSED] - Call Test Case 'Test Cases/Method/Navigation/LoginBack' successfully

2018-06-07 16:37:41 - [TEST_STEP][PASSED] - comment: Go to BTC Wallet

2018-06-07 16:37:41 - [TEST_STEP][PASSED] - callTestCase: Call Test Case 'Test Cases/Method/Navigation/GotoBTCWallet' successfully

2018-06-07 16:37:41 - [TEST_CASE][PASSED] - Test Cases/Method/Navigation/GotoBTCWallet: Test Cases/Method/Navigation/GotoBTCWallet

2018-06-07 16:37:41 - [TEST_STEP][PASSED] - Statement - leftmnu = new pages_elements.LeftMenu(): null

2018-06-07 16:37:41 - [TEST_STEP][PASSED] - Statement - pagetitle = "Bitcoin Wallet": null

2018-06-07 16:37:41 - [TEST_STEP][PASSED] - comment: SCROLL TO WALLET MENU

2018-06-07 16:37:41 - [TEST_STEP][PASSED] - Statement - driver = com.kms.katalon.core.webui.driver.DriverFactory.getWebDriver(): null

2018-06-07 16:37:41 - [TEST_STEP][PASSED] - Statement - driver.executeScript("arguments[0].scrollIntoView(true);", leftmnu.wallets_mnu()): null

2018-06-07 16:37:41 - [TEST_STEP][PASSED] - Statement - If (!(leftmnu.bitcoinwallet_mnuitem().isDisplayed())): Delayed 1 second(s)

2018-06-07 16:37:41 - [TEST_STEP][PASSED] - Statement - println(false): null

2018-06-07 16:37:41 - [TEST_STEP][PASSED] - comment: CLICK ON WALLET MENU

2018-06-07 16:37:41 - [TEST_STEP][PASSED] - Statement - leftmnu.wallets_mnu().click(): null

2018-06-07 16:37:41 - [TEST_STEP][PASSED] - delay: Delayed 1 second(s)

2018-06-07 16:37:42 - [MESSAGE][PASSED] - Delayed 1 second(s)

2018-06-07 16:37:42 - [TEST_STEP][PASSED] - comment: CLICK ON BTC MENU

2018-06-07 16:37:42 - [TEST_STEP][PASSED] - Statement - leftmnu.bitcoinwallet_mnuitem().click(): null

2018-06-07 16:37:43 - [TEST_STEP][PASSED] - delay: Delayed 3 second(s)

2018-06-07 16:37:46 - [MESSAGE][PASSED] - Delayed 3 second(s)

2018-06-07 16:37:46 - [MESSAGE][PASSED] - Call Test Case 'Test Cases/Method/Navigation/GotoBTCWallet' successfully

2018-06-07 16:37:46 - [TEST_STEP][PASSED] - comment: Verify Bitcoin wallet balance is increased in the end of day

2018-06-07 16:37:46 - [TEST_STEP][PASSED] - Statement - Expectbtcbalance = new functions.Convert().ConvertStringToDouble(btcwallet.Balance_vlue().getText()): null

2018-06-07 16:37:46 - [TEST_STEP][PASSED] - Statement - amount_numb = new functions.Convert().ConvertStringToDouble(amount_str): null

2018-06-07 16:37:46 - [TEST_STEP][PASSED] - Statement - println("Old:" + Oldbtcbalance): null

2018-06-07 16:37:46 - [TEST_STEP][PASSED] - Statement - println("New:" + Expectbtcbalance): null

2018-06-07 16:37:46 - [TEST_STEP][PASSED] - Statement - If (Expectbtcbalance != Oldbtcbalance + amount_numb): null

2018-06-07 16:37:46 - [TEST_STEP][PASSED] - closeBrowser: Browser is closed

2018-06-07 16:37:47 - [MESSAGE][PASSED] - Browser is closed]]></system-out>
         <system-err><![CDATA[2018-06-07 16:35:48 - [TEST_CASE][FAILED] - Test Cases/TestCasesList/ManageCoin/TC_MC003_Admin_User_Verify_Add_BTC_Coin_functions_works_correctly when increase coin: Test Cases/TestCasesList/ManageCoin/TC_MC003_Admin_User_Verify_Add_BTC_Coin_functions_works_correctly when increase coin FAILED because (of) Success Message: 'The coin has been updated successfully.' does not display.]]></system-err>
      </testcase>
      <system-out><![CDATA[2018-06-07 16:35:47 - [TEST_SUITE][FAILED] - Vinestate_testsuite: Test Cases/TestCasesList/ManageCoin/TC_MC003_Admin_User_Verify_Add_BTC_Coin_functions_works_correctly when increase coin FAILED because (of) Success Message: 'The coin has been updated successfully.' does not display.]]></system-out>
      <system-err><![CDATA[2018-06-07 16:35:47 - [TEST_SUITE][FAILED] - Vinestate_testsuite: Test Cases/TestCasesList/ManageCoin/TC_MC003_Admin_User_Verify_Add_BTC_Coin_functions_works_correctly when increase coin FAILED because (of) Success Message: 'The coin has been updated successfully.' does not display.]]></system-err>
   </testsuite>
</testsuites>
